The rating renderer adds two rating buttons (like, dislike) after each system conversation output, to allow users to give feedback. Based on the content centric renderer.

### Hierarchy

- ClassicRenderer
  - RatingRenderer

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- channelId
- content
- qualifier
- scrollStrategy
- suggest

### Methods

- appendContent
- appendSuggest
- behaviour
- defaultBehaviour
- init
- render
- renderElement
- getPosition
- getQualifier
- getType

## Constructors

### constructor

- new RatingRenderer(content?: HTMLElement, suggest?: HTMLElement): RatingRenderer

- Overrides ClassicRenderer.constructor

  - Defined in lib/renderer/RatingRenderer.ts:13

  #### Parameters

  - ##### Optional content: HTMLElement

  - ##### Optional suggest: HTMLElement

  #### Returns RatingRenderer

## Properties

### Protected Optional channelId

channelId: undefined | string

Inherited from AbstractRenderer.channelId

- Defined in lib/renderer/AbstractRenderer.ts:11

### Protected content

content: HTMLElement

Inherited from AbstractRenderer.content

- Defined in lib/renderer/AbstractRenderer.ts:9

### Private qualifier

qualifier: null = null

- Defined in lib/renderer/RatingRenderer.ts:12

### scrollStrategy

scrollStrategy: "bottom" | "container" | function = this.bottomScrollStrategy

Inherited from ClassicRenderer.scrollStrategy

- Defined in lib/renderer/ClassicRenderer.ts:113

The scroll strategy is used to define the manner of scroll automation after the rendering of a renderable.

### Protected suggest

suggest: HTMLElement

Inherited from AbstractRenderer.suggest

- Defined in lib/renderer/AbstractRenderer.ts:10

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  Inherited from AbstractRenderer.appendContent

  - Defined in lib/renderer/AbstractRenderer.ts:72

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  Inherited from AbstractRenderer.appendSuggest

  - Defined in lib/renderer/AbstractRenderer.ts:79

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### Private behaviour

- behaviour(r: IRenderable, t: undefined | IStackeable): HTMLElement[]

- - Defined in lib/renderer/RatingRenderer.ts:13

  #### Parameters

  - ##### r: IRenderable

  - ##### t: undefined | IStackeable

  #### Returns HTMLElement[]

### Private defaultBehaviour

- defaultBehaviour(renderable: IRenderable, containerType?: IStackeable): HTMLElement[]

- - Defined in lib/renderer/RatingRenderer.ts:42

  #### Parameters

  - ##### renderable: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### init

- init(channelId?: undefined | string): void

- Implementation of IRenderer.init

  Overrides ClassicRenderer.init

  - Defined in lib/renderer/RatingRenderer.ts:19

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  Inherited from AbstractRenderer.render

  - Defined in lib/renderer/AbstractRenderer.ts:21

  Renders an element

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Protected renderElement

- renderElement(renderable: IRenderable, containerType?: IStackeable): HTMLElement[]

- Overrides ClassicRenderer.renderElement

  - Defined in lib/renderer/RatingRenderer.ts:26
  inheritdoc

  #### Parameters

  - ##### renderable: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Static Private getPosition

- getPosition(renderable: IRenderable): any

- - Defined in lib/renderer/RatingRenderer.ts:38

  #### Parameters

  - ##### renderable: IRenderable

  #### Returns any

### Static Private getQualifier

- getQualifier(renderable: IRenderable): any

- - Defined in lib/renderer/RatingRenderer.ts:30

  #### Parameters

  - ##### renderable: IRenderable

  #### Returns any

### Static Private getType

- getType(renderable: IRenderable): any

- - Defined in lib/renderer/RatingRenderer.ts:34

  #### Parameters

  - ##### renderable: IRenderable

  #### Returns any

Generated using TypeDoc